=== src/methods/composed_gmac/CMakeLists.txt ===
fastd_method(composed-gmac
  composed_gmac.c
)
fastd_method_link_libraries(composed-gmac method_common)
