=== src/methods/composed_umac/CMakeLists.txt ===
fastd_method(composed-umac
  composed_umac.c
)
fastd_method_link_libraries(composed-umac method_common)
