=== src/crypto/cipher/aes128_ctr/CMakeLists.txt ===
fastd_cipher(aes128-ctr aes128_ctr.c)
add_subdirectory(openssl)
add_subdirectory(nacl)
