=== src/crypto/cipher/null/CMakeLists.txt ===
fastd_cipher(null null.c)
add_subdirectory(memcpy)
