=== src/crypto/mac/uhash/CMakeLists.txt ===
fastd_mac(uhash uhash.c)
add_subdirectory(builtin)
