=== debian/control ===
Source: fastd
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthias Schiffer <mschiffer@universe-factory.net>
Build-Depends: debhelper (>= 9), cmake (>= 2.8.7), bison (>= 2.5), pkg-config, libcap-dev, libuecc-dev (>= 5), libsodium-dev, libssl-dev, libjson-c-dev
Standards-Version: 3.9.6
Homepage: https://projects.universe-factory.net/projects/fastd

Package: fastd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Fast and Secure Tunneling Daemon
 A VPN daemon that has many features of OpenVPN and Tinc and is optimized
 for small code size and small number of dependencies. Fastd became
 popular on small devices like routers.

Package: fastd-dbg
Section: debug
Priority: extra
Architecture: any
Depends: fastd (= ${binary:Version}), ${misc:Depends}
Description: Fast and Secure Tunneling Daemon (debug symbols)
 Debug information for the fastd VPN daemon. Install if requested by the
 developer in a process to jointly find the cause of a reported problem.
