=== src/crypto/CMakeLists.txt ===
add_subdirectory(cipher)
add_subdirectory(mac)

set(CRYPTO_SOURCES "")
list(APPEND CRYPTO_SOURCES ${CIPHER_SOURCES})
list(APPEND CRYPTO_SOURCES ${MAC_SOURCES})

set(CRYPTO_SOURCES "${CRYPTO_SOURCES}" PARENT_SCOPE)
