=== src/methods/cipher_test/CMakeLists.txt ===
fastd_method(cipher-test
  cipher_test.c
)
fastd_method_link_libraries(cipher_test method_common)
