=== src/methods/generic_gmac/CMakeLists.txt ===
fastd_method(generic-gmac
  generic_gmac.c
)
fastd_method_link_libraries(generic-gmac method_common)
