=== src/methods/generic_umac/CMakeLists.txt ===
fastd_method(generic-umac
  generic_umac.c
)
fastd_method_link_libraries(generic-umac method_common)
