=== src/methods/null/CMakeLists.txt ===
fastd_method(null
  null.c
)
