=== debian/changelog ===
fastd (18-2+deb9u1) stretch-security; urgency=medium

  * debian/patches:
    - Add 0001-receive-fix-buffer-leak-when-receiving-invalid-packe.patch,
      CVE-2020-27638: Fix DoS'able memory leak when receiving too many
      invalid packets (Closes: #972521)

 -- Sven Eckelmann <sven@narfation.org>  Mon, 19 Oct 2020 22:42:50 +0200

fastd (18-2) unstable; urgency=medium

  * Fix operation under systemd (Closes: #823801).
  * Enable link-time optimization.

 -- Matthias Schiffer <mschiffer@universe-factory.net>  Thu, 12 May 2016 23:02:41 +0200

fastd (18-1) unstable; urgency=low

  * New upstream release
  * Introduced hardening
  * Removed fastd-dbg package

 -- Haiko Helmholz <jo-travolti@t-online.de>  Tue, 05 Apr 2016 20:38:51 +0200
