=== debian/control ===
Source: fastd
Section: net
Priority: extra
Maintainer: Matthias Schiffer <mschiffer@universe-factory.net>
Uploaders: Haiko Helmholz <jo-travolti@t-online.de>
Build-Depends: debhelper (>= 9), cmake (>= 2.8.7), bison (>= 2.5), pkg-config, libcap-dev, libuecc-dev (>= 6), libsodium-dev, libssl-dev, libjson-c-dev, dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.8
Homepage: https://projects.universe-factory.net/projects/fastd

Package: fastd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Fast and Secure Tunneling Daemon
 A VPN daemon that has many features of OpenVPN and Tinc and is optimized
 for small code size and small number of dependencies. Fastd became
 popular on small devices like routers.
