=== src/CMakeLists.txt ===
--- 
+++ 
@@ -41,6 +41,7 @@
   socket.c
   status.c
   task.c
+  time.c
   vector.c
   verify.c
   ${BISON_fastd_config_parse_OUTPUTS}
@@ -53,3 +54,9 @@
 add_dependencies(fastd version)
 
 install(TARGETS fastd RUNTIME DESTINATION bin)
+
+
+add_custom_target(format
+	find src -type f -name '*.[ch]' | xargs clang-format -i --style=file
+	WORKING_DIRECTORY ${FASTD_SOURCE_DIR}
+)
