=== src/methods/CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,6 @@
 add_subdirectory(generic_gmac)
 add_subdirectory(generic_poly1305)
 add_subdirectory(generic_umac)
-add_subdirectory(xsalsa20_poly1305)
 
 
 set(METHOD_DEFINITIONS "")
