=== debian/changelog ===
fastd (19-3ubuntu0.1) groovy-security; urgency=medium

    [ Emilia Torino ]
    * SECURITY UPDATE: denial of service in receive.c
    - debian/patches/CVE-2020-27638.patch: fix buffer leak when receiving
      invalid packets.
    - CVE-2020-27638

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 25 Jan 2021 15:43:26 -0300

fastd (19-3build1) groovy; urgency=medium

  * No change rebuild against new json-c ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 28 Jul 2020 17:43:00 +0100

fastd (19-3) unstable; urgency=medium

  * Upload to unstable

 -- Sven Eckelmann <sven@narfation.org>  Thu, 11 Jun 2020 13:22:35 +0200

fastd (19-2) experimental; urgency=medium

  * Add fastd-doc package with user + developer documentation (Closes: #823782)
  * debian/control:
    - Switch maintainer to Debian CommunityWLAN Team

 -- Sven Eckelmann <sven@narfation.org>  Sat, 06 Jun 2020 23:50:41 +0200

fastd (19-1) unstable; urgency=medium

  * New Upstream Version
  * debian/control:
    - Order control files with `wrap-and-sort -abst`
    - Switch to debhelper compat 13
    - Allow one to build without root
    - Add Vcs-* information
    - Fix Homepage URL
    - Upgraded to policy 4.5.0, no changes required
    - Add myself as uploader as discussed with Maintainer
    - Drop Matthias Schiffer as Maintainer as discussed with him
  * Drop unused AES128 OpenSSL 1.1 compatibility patch
  * Add debian/upstream/metadata
  * Add debian/watch
  * debian/rules:
    - Define PHONY targets
    - Use standard dh_clean
    - Restructure dh_auto_configure
    - Disable -fomit-frame-pointer
    - Drop hardcoded gcc binary paths to improve cross-compilation
    - Use debhelper's standard cmake CMAKE_BUILD_TYPE
    - Perform all installs using dh_install
  * Drop unused lintian-overrides
  * Convert debian/copyright to DEP-5

 -- Sven Eckelmann <sven@narfation.org>  Sun, 31 May 2020 15:13:54 +0200

fastd (18-3) unstable; urgency=medium

  * Update to new Debian policy and fix lintian problems.
  * Deprecate old fastd init script.
  * Fix build against libsodium 1.0.13+ (Closes: #886018).
  * Fix runtime compatibility with OpenSSL 1.1.

  * Upstream: Fixes AES128-based methods.

  * Added -fomit-frame-pointer flag. (Steffen Moeller)

 -- Matthias Schiffer <mschiffer@universe-factory.net>  Mon, 08 Jan 2018 20:48:21 +0100
