=== debian/control ===
Source: fastd
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian CommunityWLAN Team <team+communitywlan@tracker.debian.org>
Uploaders:
 Haiko Helmholz <jo-travolti@t-online.de>,
 Sven Eckelmann <sven@narfation.org>,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/NeoRaider/fastd
Vcs-Git: https://salsa.debian.org/communitywlan-team/fastd.git -b debian/sid
Vcs-Browser: https://salsa.debian.org/communitywlan-team/fastd
Build-Depends:
 bison (>= 2.5),
 cmake (>= 2.8.7),
 debhelper-compat (= 13),
 dpkg-dev (>= 1.16.1~),
 libcap-dev,
 libjson-c-dev,
 libsodium-dev,
 libssl-dev,
 libuecc-dev (>= 6),
 pkg-config,
 python3-sphinx,

Package: fastd
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 fastd-doc,
Description: Fast and Secure Tunneling Daemon
 A VPN daemon that has many features of OpenVPN and Tinc and is optimized
 for small code size and small number of dependencies. Fastd became
 popular on small devices like routers.

Package: fastd-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 libjs-mathjax,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Description: Fast and Secure Tunneling Daemon (documentation)
 A VPN daemon that has many features of OpenVPN and Tinc and is optimized
 for small code size and small number of dependencies. Fastd became
 popular on small devices like routers.
 .
 This package provides the documentation for fastd.
