## fastd 21

=== meson_options.txt ===
option('capabilities', type : 'feature', value : 'auto')
option('cmdline_user', type : 'feature', value : 'auto')
option('cmdline_logging', type : 'feature', value : 'enabled')
option('cmdline_operation', type : 'feature', value : 'enabled')
option('cmdline_commands', type : 'feature', value : 'enabled')
option('dynamic_peers', type : 'feature', value : 'enabled')
option('status_socket', type : 'feature', value : 'enabled')
option('systemd', type : 'feature', value : 'auto')

option('cipher_aes128-ctr', type : 'feature', value : 'enabled')
option('cipher_null', type : 'feature', value : 'enabled')
option('cipher_salsa20', type : 'feature', value : 'enabled')
option('cipher_salsa20_nacl', type : 'feature', value : 'enabled')
option('cipher_salsa20_xmm', type : 'feature', value : 'auto')
option('cipher_salsa2012', type : 'feature', value : 'enabled')
option('cipher_salsa2012_nacl', type : 'feature', value : 'enabled')
option('cipher_salsa2012_xmm', type : 'feature', value : 'auto')

option('mac_ghash', type : 'feature', value : 'enabled')
option('mac_ghash_pclmulqdq', type : 'feature', value : 'auto')
option('mac_uhash', type : 'feature', value : 'enabled')

option('method_cipher-test', type : 'feature', value : 'disabled')
option('method_composed-gmac', type : 'feature', value : 'enabled')
option('method_composed-umac', type : 'feature', value : 'enabled')
option('method_generic-gmac', type : 'feature', value : 'enabled')
option('method_generic-poly1305', type : 'feature', value : 'enabled')
option('method_generic-umac', type : 'feature', value : 'enabled')
option('method_null', type : 'feature', value : 'enabled')

option('use_nacl', type : 'boolean', value : false)

option('build_tests', type : 'boolean', value : false)
