=== debian/changelog ===
fastd (21-1) unstable; urgency=high

  * New Upstream Version
    - Fix crash (assert) when receiving too many invalid packets

 -- Sven Eckelmann <sven@narfation.org>  Mon, 19 Oct 2020 21:47:58 +0200

fastd (20-1) unstable; urgency=medium

  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Sat, 10 Oct 2020 19:32:34 +0200
