=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: fastd
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian CommunityWLAN Team <team+communitywlan@tracker.debian.org>
+Maintainer: Debian CommunityWLAN Team <team+communitywlan@tracker.debian.org>
 Uploaders:
  Haiko Helmholz <jo-travolti@t-online.de>,
  Sven Eckelmann <sven@narfation.org>,
@@ -12,10 +11,10 @@
 Vcs-Git: https://salsa.debian.org/communitywlan-team/fastd.git -b debian/sid
 Vcs-Browser: https://salsa.debian.org/communitywlan-team/fastd
 Build-Depends:
- bison (>= 2.5),
- cmake (>= 2.8.7),
+ bison,
  debhelper-compat (= 13),
  dpkg-dev (>= 1.16.1~),
+ meson,
  libcap-dev,
  libjson-c-dev,
  libsodium-dev,
