=== debian/watch ===
version=4
https://github.com/NeoRaider/fastd/releases .*/fastd@ANY_VERSION@@ARCHIVE_EXT@
