## fastd 22

=== meson_options.txt ===
--- 
+++ 
@@ -27,7 +27,11 @@
 option('method_generic-poly1305', type : 'feature', value : 'enabled')
 option('method_generic-umac', type : 'feature', value : 'enabled')
 option('method_null', type : 'feature', value : 'enabled')
+option('method_null_l2tp', type : 'feature', value : 'enabled')
 
+option('offload_l2tp', type : 'feature', value : 'auto')
+
+option('libmnl_builtin', type : 'boolean', value : false)
 option('use_nacl', type : 'boolean', value : false)
 
 option('build_tests', type : 'boolean', value : false)
