=== debian/changelog ===
fastd (22-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:50:45 +1100

fastd (22-4build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 17:53:55 +0000

fastd (22-4) unstable; urgency=medium

  * debian/rules:
    - Install fastd@.service via dh_installsystemd
  * debian/patches:
    - Refresh patches
    - Add Fix-spelling-errors.patch, Fix spelling errors
  * debian/fastd@.service
    - Add Documentation key
  * debian/control:
    - Upgraded to policy 4.6.2, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Sat, 17 Dec 2022 14:57:39 +0100

fastd (22-3) unstable; urgency=medium

  * debian/control:
    - Upgraded to policy 4.6.1, no changes required
    - Remove versioned constraints unnecessary since buster
  * Move systemd service file to /usr/lib/systemd/system/fastd@.service
  * debian/copyright:
    - Update copyright years to 2022

 -- Sven Eckelmann <sven@narfation.org>  Mon, 14 Nov 2022 18:28:24 +0100

fastd (22-2) unstable; urgency=medium

  * Upload to unstable
  * debian/control
    - Switch to correct DEP-14 unstable branch name

 -- Sven Eckelmann <sven@narfation.org>  Sun, 15 Aug 2021 08:22:31 +0200

fastd (22-1) experimental; urgency=medium

  * New Upstream Version
  * debian/control:
    - Upgraded to policy 4.5.1, no changes required
    - Add new Build-Depends for libmnl-dev and python3-sphinx-rtd-theme
  * debian/copyright:
    - Add copyright information for new (unused) libml
    - Update copyright years
  * debian/upstream/metadata:
    - Fix path to upstream repository

 -- Sven Eckelmann <sven@narfation.org>  Sun, 27 Jun 2021 13:27:30 +0200
