=== debian/control ===
--- 
+++ 
@@ -1,27 +1,29 @@
 Source: fastd
 Section: net
 Priority: optional
-Maintainer: Debian CommunityWLAN Team <team+communitywlan@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian CommunityWLAN Team <team+communitywlan@tracker.debian.org>
 Uploaders:
  Haiko Helmholz <jo-travolti@t-online.de>,
  Sven Eckelmann <sven@narfation.org>,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/NeoRaider/fastd
-Vcs-Git: https://salsa.debian.org/communitywlan-team/fastd.git -b debian/sid
+Vcs-Git: https://salsa.debian.org/communitywlan-team/fastd.git -b debian/unstable
 Vcs-Browser: https://salsa.debian.org/communitywlan-team/fastd
 Build-Depends:
  bison,
  debhelper-compat (= 13),
- dpkg-dev (>= 1.16.1~),
  meson,
  libcap-dev,
  libjson-c-dev,
+ libmnl-dev,
  libsodium-dev,
  libssl-dev,
- libuecc-dev (>= 6),
+ libuecc-dev,
  pkg-config,
  python3-sphinx,
+ python3-sphinx-rtd-theme,
 
 Package: fastd
 Architecture: any
