=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,9 @@
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
-CMAKE_EXTRA_FLAGS :=
-CMAKE_EXTRA_FLAGS += -DENABLE_OPENSSL=ON
-CMAKE_EXTRA_FLAGS += -DENABLE_SYSTEMD=ON
-CMAKE_EXTRA_FLAGS += -DENABLE_LIBSODIUM=ON
-CMAKE_EXTRA_FLAGS += -DENABLE_LTO=ON
+MESON_EXTRA_FLAGS :=
+MESON_EXTRA_FLAGS += -Dsystemd=enabled
+MESON_EXTRA_FLAGS += -Db_lto=true
 
 binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep:
 	dh $@ --with sphinxdoc
@@ -19,7 +17,7 @@
 endif
 
 override_dh_auto_configure:
-	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)
+	dh_auto_configure -- $(MESON_EXTRA_FLAGS)
 
 override_dh_installinit:
 	dh_installinit --no-start -- defaults 16 80
