## fastd 23

=== doc/requirements.txt ===
Sphinx==8.1.3
sphinx-rtd-theme==3.0.2
