=== debian/changelog ===
fastd (23-2) unstable; urgency=medium

  * debian/control:
    - Upgraded to policy 4.7.2, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Sat, 01 Mar 2025 20:57:46 +0100

fastd (23-1) unstable; urgency=medium

  * New Upstream Version
    - CVE-2025-24356: UDP traffic amplification via fastd's fast
      reconnect feature
  * debian/control:
    - Replace pkg-config with pkgconf
  * debian/watch:
    - Switch to api.github.com to check for releases

 -- Sven Eckelmann <sven@narfation.org>  Sun, 26 Jan 2025 16:48:59 +0100
