=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: fastd
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian CommunityWLAN Team <team+communitywlan@tracker.debian.org>
+Maintainer: Debian CommunityWLAN Team <team+communitywlan@tracker.debian.org>
 Uploaders:
  Haiko Helmholz <jo-travolti@t-online.de>,
  Sven Eckelmann <sven@narfation.org>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/NeoRaider/fastd
 Vcs-Git: https://salsa.debian.org/communitywlan-team/fastd.git -b debian/unstable
@@ -21,7 +20,7 @@
  libsodium-dev,
  libssl-dev,
  libuecc-dev,
- pkg-config,
+ pkgconf,
  python3-sphinx,
  python3-sphinx-rtd-theme,
